﻿<?xml version="1.0" encoding="utf-8"?>
<Dsl dslVersion="1.0.0.0" Id="6ad9e13f-cfc7-472d-b5a7-60ae69c9b769" Description="Description for Salamanca.Saml.SalamancaActivityModelLanguage" Name="SalamancaActivityModelLanguage" DisplayName="Activity Model" Namespace="Salamanca.Saml" ProductName="Salamanca" CompanyName="NourY Solutions" PackageGuid="d07e3428-8aed-4138-b5f8-38f4c3788625" PackageNamespace="Salamanca.Saml" xmlns="http://schemas.microsoft.com/VisualStudio/2005/DslTools/DslDefinitionModel">
  <Classes>
    <DomainClass Id="a4d0afdb-be56-444b-b6d9-a3be97a29172" Description="The root in which all other elements are embedded. Appears as a diagram." Name="ActivityModel" DisplayName="Activity Model" Namespace="Salamanca.Saml">
      <Properties>
        <DomainProperty Id="3a4fa154-1a7b-4af8-b047-0419ad785627" Description="Description for Salamanca.Saml.ActivityModel.Name" Name="Name" DisplayName="Name" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Notes>Creates an embedding link when an element is dropped onto a model. </Notes>
          <Index>
            <DomainClassMoniker Name="FlowElement" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>ActivityModelHasFlowElements.Elements</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="ActivityData" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>ActivityModelHasData.Data</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="f50223bc-d134-4904-b1b9-d621a2e22ab7" Description="Elements embedded in the model. Appear as boxes on the diagram." Name="FlowElement" DisplayName="Flow Element" InheritanceModifier="Abstract" Namespace="Salamanca.Saml" />
    <DomainClass Id="be590406-b732-44d2-a3fe-a29b0da02c5c" Description="Description for Salamanca.Saml.QuestionState" Name="QuestionState" DisplayName="Question State" Namespace="Salamanca.Saml">
      <BaseClass>
        <DomainClassMoniker Name="ActivityState" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="aa3bc100-6fd9-4e14-8def-bef7a94f7757" Description="Description for Salamanca.Saml.QuestionState.Kind" Name="Kind" DisplayName="Kind" DefaultValue="GetInstance">
          <Type>
            <DomainEnumerationMoniker Name="QuestionKind" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="3f28ebb7-27c5-434a-acf4-0394584bd8fb" Description="Description for Salamanca.Saml.QuestionState.Data Name" Name="DataName" DisplayName="Data Name">
          <Attributes>
            <ClrAttribute Name="System.ComponentModel.TypeConverter">
              <Parameters>
                <AttributeParameter Value="typeof(Salamanca.Saml.DataNameConverter)" />
              </Parameters>
            </ClrAttribute>
          </Attributes>
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="4404ca0c-c988-4106-84a3-4a3f8a39be38" Description="Description for Salamanca.Saml.ActionState" Name="ActionState" DisplayName="Action State" Namespace="Salamanca.Saml">
      <BaseClass>
        <DomainClassMoniker Name="ActivityState" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="4d136984-67c5-4a63-9d88-cb7623849097" Description="Description for Salamanca.Saml.StartPoint" Name="StartPoint" DisplayName="Start Point" Namespace="Salamanca.Saml">
      <BaseClass>
        <DomainClassMoniker Name="FlowElement" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="8f26ba51-056b-472d-a6bd-c642eca9b8bb" Description="Description for Salamanca.Saml.EndPoint" Name="EndPoint" DisplayName="End Point" Namespace="Salamanca.Saml">
      <BaseClass>
        <DomainClassMoniker Name="FlowElement" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="cf476473-f4af-4a4a-a86d-86b42eba62dd" Description="Description for Salamanca.Saml.ActivityState" Name="ActivityState" DisplayName="Activity State" InheritanceModifier="Abstract" Namespace="Salamanca.Saml">
      <BaseClass>
        <DomainClassMoniker Name="FlowElement" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="01ec657f-7140-4f9c-a59e-e383505ecbb6" Description="Description for Salamanca.Saml.ActivityState.Name" Name="Name" DisplayName="Name" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="0ecf0ce6-bed1-43be-a8f6-0e14215b3dd2" Description="Description for Salamanca.Saml.ActivityData" Name="ActivityData" DisplayName="Activity Data" Namespace="Salamanca.Saml">
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="DataAttribute" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>ActivityDataHasAttributes.Attributes</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="22ed59ff-9f3d-4ed0-b34f-e476626ebbc7" Description="Description for Salamanca.Saml.DataAttribute" Name="DataAttribute" DisplayName="Data Attribute" Namespace="Salamanca.Saml">
      <Properties>
        <DomainProperty Id="b55c2ea5-e8e1-4fcc-89bf-9b2b985b3e53" Description="Description for Salamanca.Saml.DataAttribute.Name" Name="Name" DisplayName="Name" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="3512def2-0115-43e5-8f45-af99fe94cea7" Description="Description for Salamanca.Saml.DataAttribute.Type" Name="Type" DisplayName="Type" DefaultValue="string">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="a52c22dd-a1e4-45c2-88e7-c07dae24ffdd" Description="Description for Salamanca.Saml.DataAttribute.Kind" Name="Kind" DisplayName="Kind" DefaultValue="Single">
          <Type>
            <DomainEnumerationMoniker Name="DataKind" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="390f2e61-73ac-45c9-bb08-6c93b7430b54" Description="Description for Salamanca.Saml.DataAttribute.Name And Type" Name="NameAndType" DisplayName="Name And Type" Kind="Calculated" IsBrowsable="false">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
  </Classes>
  <Relationships>
    <DomainRelationship Id="5359d0ec-ef73-4d39-b44f-43e2c05be395" Description="Embedding relationship between the Model and Elements" Name="ActivityModelHasFlowElements" DisplayName="Activity Model Has Flow Elements" Namespace="Salamanca.Saml" IsEmbedding="true">
      <Source>
        <DomainRole Id="f160d1a8-1033-47fd-bba7-320d06cede82" Description="" Name="ActivityModel" DisplayName="Activity Model" PropertyName="Elements" PropertyDisplayName="Elements">
          <RolePlayer>
            <DomainClassMoniker Name="ActivityModel" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="d0a91cee-ea2a-4e07-af88-ab453199fdd8" Description="" Name="Element" DisplayName="Element" PropertyName="ActivityModel" Multiplicity="One" PropagatesDelete="true" PropertyDisplayName="Activity Model">
          <RolePlayer>
            <DomainClassMoniker Name="FlowElement" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="b4efb871-f83f-42f0-8104-5d89c074170d" Description="Reference relationship between Elements." Name="Transition" DisplayName="Transition" Namespace="Salamanca.Saml">
      <Properties>
        <DomainProperty Id="8d34ebeb-113a-4183-bf11-486c9aa5c8f1" Description="Description for Salamanca.Saml.Transition.Name" Name="Name" DisplayName="Name" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <Source>
        <DomainRole Id="66950359-1b08-4dbe-a8d4-73e775f8b6b4" Description="Description for Salamanca.Saml.ExampleRelationship.Target" Name="FlowFrom" DisplayName="Flow From" PropertyName="TransitionTo" PropertyDisplayName="Transition To">
          <RolePlayer>
            <DomainClassMoniker Name="FlowElement" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="eb796016-cd81-4d64-b84c-1c528fdc5d47" Description="Description for Salamanca.Saml.ExampleRelationship.Source" Name="FlowTo" DisplayName="Flow To" PropertyName="TransitionFrom" PropertyDisplayName="Transition From">
          <RolePlayer>
            <DomainClassMoniker Name="FlowElement" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="a8b41feb-8a3a-4ec8-9ad7-3e10cb46d6e9" Description="Description for Salamanca.Saml.ActivityModelHasData" Name="ActivityModelHasData" DisplayName="Activity Model Has Data" Namespace="Salamanca.Saml" IsEmbedding="true">
      <Source>
        <DomainRole Id="04089b89-5589-4318-b87a-59fdf8016434" Description="Description for Salamanca.Saml.ActivityModelHasData.ActivityModel" Name="ActivityModel" DisplayName="Activity Model" PropertyName="Data" Multiplicity="One" PropertyDisplayName="Data">
          <RolePlayer>
            <DomainClassMoniker Name="ActivityModel" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="1b00f6bd-8992-41a8-8238-a0373f3775a2" Description="Description for Salamanca.Saml.ActivityModelHasData.ActivityData" Name="ActivityData" DisplayName="Activity Data" PropertyName="ActivityModel" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Activity Model">
          <RolePlayer>
            <DomainClassMoniker Name="ActivityData" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="6e71d15f-3efe-4dc2-8c0c-dea7984da104" Description="Description for Salamanca.Saml.ActivityDataHasAttributes" Name="ActivityDataHasAttributes" DisplayName="Activity Data Has Attributes" Namespace="Salamanca.Saml" IsEmbedding="true">
      <Source>
        <DomainRole Id="604fb812-36df-4287-ab45-5ae55ff8ba18" Description="Description for Salamanca.Saml.ActivityDataHasAttributes.ActivityData" Name="ActivityData" DisplayName="Activity Data" PropertyName="Attributes" PropertyDisplayName="Attributes">
          <RolePlayer>
            <DomainClassMoniker Name="ActivityData" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="e2f6b74c-abd2-4aab-9bc8-7bc624ba3a35" Description="Description for Salamanca.Saml.ActivityDataHasAttributes.DataAttribute" Name="DataAttribute" DisplayName="Data Attribute" PropertyName="ActivityData" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Activity Data">
          <RolePlayer>
            <DomainClassMoniker Name="DataAttribute" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
  </Relationships>
  <Types>
    <ExternalType Name="DateTime" Namespace="System" />
    <ExternalType Name="String" Namespace="System" />
    <ExternalType Name="Int16" Namespace="System" />
    <ExternalType Name="Int32" Namespace="System" />
    <ExternalType Name="Int64" Namespace="System" />
    <ExternalType Name="UInt16" Namespace="System" />
    <ExternalType Name="UInt32" Namespace="System" />
    <ExternalType Name="UInt64" Namespace="System" />
    <ExternalType Name="SByte" Namespace="System" />
    <ExternalType Name="Byte" Namespace="System" />
    <ExternalType Name="Double" Namespace="System" />
    <ExternalType Name="Single" Namespace="System" />
    <ExternalType Name="Guid" Namespace="System" />
    <ExternalType Name="Boolean" Namespace="System" />
    <ExternalType Name="Char" Namespace="System" />
    <DomainEnumeration Name="QuestionKind" Namespace="Salamanca.Saml" Description="Description for Salamanca.Saml.QuestionKind">
      <Literals>
        <EnumerationLiteral Description="Description for Salamanca.Saml.QuestionKind.GetInstance" Name="GetInstance" Value="" />
        <EnumerationLiteral Description="Description for Salamanca.Saml.QuestionKind.EditInstance" Name="EditInstance" Value="" />
      </Literals>
    </DomainEnumeration>
    <DomainEnumeration Name="DataKind" Namespace="Salamanca.Saml" Description="Description for Salamanca.Saml.DataKind">
      <Literals>
        <EnumerationLiteral Description="Description for Salamanca.Saml.DataKind.Single" Name="Single" Value="" />
        <EnumerationLiteral Description="Description for Salamanca.Saml.DataKind.List" Name="List" Value="" />
      </Literals>
    </DomainEnumeration>
  </Types>
  <Shapes>
    <GeometryShape Id="410df427-c155-48e3-9530-391fa3e897b8" Description="Description for Salamanca.Saml.ActionStateShape" Name="ActionStateShape" DisplayName="Action State Shape" Namespace="Salamanca.Saml" FixedTooltipText="Action State Shape" FillColor="213, 205, 231" InitialHeight="0.5" OutlineThickness="0.01" FillGradientMode="Vertical" Geometry="Rectangle">
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0.22" VerticalOffset="0">
        <TextDecorator Name="Name" DisplayName="Name" DefaultText="Name" FontStyle="Bold" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <IconDecorator Name="Icon" DisplayName="Icon" DefaultIcon="Resources\ActionStateTool.bmp" />
      </ShapeHasDecorators>
    </GeometryShape>
    <GeometryShape Id="59c5169e-a3b2-44c4-a80a-f3822a350fb9" Description="Description for Salamanca.Saml.QuestionStateShape" Name="QuestionStateShape" DisplayName="Question State Shape" Namespace="Salamanca.Saml" FixedTooltipText="Question State Shape" FillColor="213, 231, 205" InitialHeight="0.5" OutlineThickness="0.01" FillGradientMode="Vertical" Geometry="RoundedRectangle">
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0.22" VerticalOffset="0">
        <TextDecorator Name="Name" DisplayName="Name" DefaultText="Name" FontStyle="Bold" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <IconDecorator Name="Icon" DisplayName="Icon" DefaultIcon="Resources\QuestionStateTool.bmp" />
      </ShapeHasDecorators>
    </GeometryShape>
    <ImageShape Id="d886944d-ea45-495c-9831-7b2d82c72035" Description="Description for Salamanca.Saml.StartShape" Name="StartShape" DisplayName="Start Shape" Namespace="Salamanca.Saml" FixedTooltipText="Start Shape" InitialWidth="0.25" InitialHeight="0.25" OutlineThickness="0.01" Image="Resources\Start.emf" />
    <ImageShape Id="d414b81d-ccce-4421-95d8-a787b1299a98" Description="Description for Salamanca.Saml.EndShape" Name="EndShape" DisplayName="End Shape" Namespace="Salamanca.Saml" FixedTooltipText="End Shape" InitialWidth="0.25" InitialHeight="0.25" OutlineThickness="0.01" Image="Resources\Stop.emf" />
    <CompartmentShape Id="d124578f-c619-49f4-ab1e-b1f6e54ad4f1" Description="Description for Salamanca.Saml.DataShape" Name="DataShape" DisplayName="Data Shape" Namespace="Salamanca.Saml" FixedTooltipText="Data Shape" FillColor="211, 220, 239" InitialHeight="0.3" OutlineThickness="0.01" Geometry="RoundedRectangle">
      <ShapeHasDecorators Position="InnerTopCenter" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="Name" DisplayName="Name" DefaultText="Data" FontStyle="Bold" />
      </ShapeHasDecorators>
      <Compartment Name="AttributesCompartment" />
    </CompartmentShape>
  </Shapes>
  <Connectors>
    <Connector Id="0da9fc42-44f4-4449-92aa-25490b766196" Description="Description for Salamanca.Saml.FlowConnector" Name="FlowConnector" DisplayName="Flow Connector" Namespace="Salamanca.Saml" FixedTooltipText="Flow Connector" TargetEndStyle="EmptyArrow" Thickness="0.01">
      <ConnectorHasDecorators Position="SourceTop" OffsetFromShape="0" OffsetFromLine="0">
        <TextDecorator Name="Name" DisplayName="Name" DefaultText="Name" />
      </ConnectorHasDecorators>
    </Connector>
  </Connectors>
  <XmlSerializationBehavior Name="SalamancaActivityModelLanguageSerializationBehavior" Namespace="Salamanca.Saml">
    <ClassData>
      <XmlClassData TypeName="ActivityModel" MonikerAttributeName="" SerializeId="true" MonikerElementName="activityModelMoniker" ElementName="activityModel" MonikerTypeName="ActivityModelMoniker">
        <DomainClassMoniker Name="ActivityModel" />
        <ElementData>
          <XmlRelationshipData RoleElementName="elements">
            <DomainRelationshipMoniker Name="ActivityModelHasFlowElements" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="name">
            <DomainPropertyMoniker Name="ActivityModel/Name" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="data">
            <DomainRelationshipMoniker Name="ActivityModelHasData" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="FlowElement" MonikerAttributeName="" MonikerElementName="flowElementMoniker" ElementName="flowElement" MonikerTypeName="FlowElementMoniker">
        <DomainClassMoniker Name="FlowElement" />
        <ElementData>
          <XmlRelationshipData UseFullForm="true" RoleElementName="transitionTo">
            <DomainRelationshipMoniker Name="Transition" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="ActivityModelHasFlowElements" MonikerAttributeName="" MonikerElementName="activityModelHasFlowElementsMoniker" ElementName="activityModelHasFlowElements" MonikerTypeName="ActivityModelHasFlowElementsMoniker">
        <DomainRelationshipMoniker Name="ActivityModelHasFlowElements" />
      </XmlClassData>
      <XmlClassData TypeName="Transition" MonikerAttributeName="" MonikerElementName="transitionMoniker" ElementName="transition" MonikerTypeName="TransitionMoniker">
        <DomainRelationshipMoniker Name="Transition" />
        <ElementData>
          <XmlPropertyData XmlName="name">
            <DomainPropertyMoniker Name="Transition/Name" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="QuestionState" MonikerAttributeName="" SerializeId="true" MonikerElementName="questionStateMoniker" ElementName="questionState" MonikerTypeName="QuestionStateMoniker">
        <DomainClassMoniker Name="QuestionState" />
        <ElementData>
          <XmlPropertyData XmlName="kind">
            <DomainPropertyMoniker Name="QuestionState/Kind" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="dataName">
            <DomainPropertyMoniker Name="QuestionState/DataName" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="ActionState" MonikerAttributeName="" SerializeId="true" MonikerElementName="actionStateMoniker" ElementName="actionState" MonikerTypeName="ActionStateMoniker">
        <DomainClassMoniker Name="ActionState" />
      </XmlClassData>
      <XmlClassData TypeName="ActionStateShape" MonikerAttributeName="" MonikerElementName="actionStateShapeMoniker" ElementName="actionStateShape" MonikerTypeName="ActionStateShapeMoniker">
        <GeometryShapeMoniker Name="ActionStateShape" />
      </XmlClassData>
      <XmlClassData TypeName="QuestionStateShape" MonikerAttributeName="" MonikerElementName="questionStateShapeMoniker" ElementName="questionStateShape" MonikerTypeName="QuestionStateShapeMoniker">
        <GeometryShapeMoniker Name="QuestionStateShape" />
      </XmlClassData>
      <XmlClassData TypeName="ActivityModelDiagram" MonikerAttributeName="" MonikerElementName="activityModelDiagramMoniker" ElementName="activityModelDiagram" MonikerTypeName="ActivityModelDiagramMoniker">
        <DiagramMoniker Name="ActivityModelDiagram" />
      </XmlClassData>
      <XmlClassData TypeName="FlowConnector" MonikerAttributeName="" MonikerElementName="flowConnectorMoniker" ElementName="flowConnector" MonikerTypeName="FlowConnectorMoniker">
        <ConnectorMoniker Name="FlowConnector" />
      </XmlClassData>
      <XmlClassData TypeName="StartPoint" MonikerAttributeName="" SerializeId="true" MonikerElementName="startPointMoniker" ElementName="startPoint" MonikerTypeName="StartPointMoniker">
        <DomainClassMoniker Name="StartPoint" />
      </XmlClassData>
      <XmlClassData TypeName="EndPoint" MonikerAttributeName="" SerializeId="true" MonikerElementName="endPointMoniker" ElementName="endPoint" MonikerTypeName="EndPointMoniker">
        <DomainClassMoniker Name="EndPoint" />
      </XmlClassData>
      <XmlClassData TypeName="StartShape" MonikerAttributeName="" MonikerElementName="startShapeMoniker" ElementName="startShape" MonikerTypeName="StartShapeMoniker">
        <ImageShapeMoniker Name="StartShape" />
      </XmlClassData>
      <XmlClassData TypeName="EndShape" MonikerAttributeName="" MonikerElementName="endShapeMoniker" ElementName="endShape" MonikerTypeName="EndShapeMoniker">
        <ImageShapeMoniker Name="EndShape" />
      </XmlClassData>
      <XmlClassData TypeName="ActivityState" MonikerAttributeName="" MonikerElementName="activityStateMoniker" ElementName="activityState" MonikerTypeName="ActivityStateMoniker">
        <DomainClassMoniker Name="ActivityState" />
        <ElementData>
          <XmlPropertyData XmlName="name">
            <DomainPropertyMoniker Name="ActivityState/Name" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="ActivityData" MonikerAttributeName="" SerializeId="true" MonikerElementName="activityDataMoniker" ElementName="activityData" MonikerTypeName="ActivityDataMoniker">
        <DomainClassMoniker Name="ActivityData" />
        <ElementData>
          <XmlRelationshipData RoleElementName="attributes">
            <DomainRelationshipMoniker Name="ActivityDataHasAttributes" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DataAttribute" MonikerAttributeName="name" MonikerElementName="dataAttributeMoniker" ElementName="dataAttribute" MonikerTypeName="DataAttributeMoniker">
        <DomainClassMoniker Name="DataAttribute" />
        <ElementData>
          <XmlPropertyData XmlName="name" IsMonikerKey="true">
            <DomainPropertyMoniker Name="DataAttribute/Name" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="type">
            <DomainPropertyMoniker Name="DataAttribute/Type" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="kind">
            <DomainPropertyMoniker Name="DataAttribute/Kind" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="nameAndType" Representation="Ignore">
            <DomainPropertyMoniker Name="DataAttribute/NameAndType" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DataShape" MonikerAttributeName="" MonikerElementName="dataShapeMoniker" ElementName="dataShape" MonikerTypeName="DataShapeMoniker">
        <CompartmentShapeMoniker Name="DataShape" />
      </XmlClassData>
      <XmlClassData TypeName="ActivityModelHasData" MonikerAttributeName="" MonikerElementName="activityModelHasDataMoniker" ElementName="activityModelHasData" MonikerTypeName="ActivityModelHasDataMoniker">
        <DomainRelationshipMoniker Name="ActivityModelHasData" />
      </XmlClassData>
      <XmlClassData TypeName="ActivityDataHasAttributes" MonikerAttributeName="" MonikerElementName="activityDataHasAttributesMoniker" ElementName="activityDataHasAttributes" MonikerTypeName="ActivityDataHasAttributesMoniker">
        <DomainRelationshipMoniker Name="ActivityDataHasAttributes" />
      </XmlClassData>
    </ClassData>
  </XmlSerializationBehavior>
  <ExplorerBehavior Name="SalamancaActivityModelLanguageExplorer" />
  <ConnectionBuilders>
    <ConnectionBuilder Name="TransitionBuilder">
      <Notes>Provides for the creation of an ExampleRelationship by pointing at two ExampleElements.</Notes>
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="Transition" />
        <SourceDirectives>
          <RolePlayerConnectDirective UsesRoleSpecificCustomAccept="true">
            <AcceptingClass>
              <DomainClassMoniker Name="FlowElement" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective UsesRoleSpecificCustomAccept="true">
            <AcceptingClass>
              <DomainClassMoniker Name="FlowElement" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
  </ConnectionBuilders>
  <Diagram Id="321d7807-d866-4870-a712-7069b66c37fe" Description="Description for Salamanca.Saml.ActivityModelDiagram" Name="ActivityModelDiagram" DisplayName="Activity Model Diagram" Namespace="Salamanca.Saml">
    <Class>
      <DomainClassMoniker Name="ActivityModel" />
    </Class>
    <ShapeMaps>
      <ShapeMap>
        <DomainClassMoniker Name="QuestionState" />
        <ParentElementPath>
          <DomainPath>ActivityModelHasFlowElements.ActivityModel/!ActivityModel</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="ActionStateShape/Name" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="ActivityState/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="QuestionStateShape/Name" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="ActivityState/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <GeometryShapeMoniker Name="QuestionStateShape" />
      </ShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="ActionState" />
        <ParentElementPath>
          <DomainPath>ActivityModelHasFlowElements.ActivityModel/!ActivityModel</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="ActionStateShape/Name" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="ActivityState/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <GeometryShapeMoniker Name="ActionStateShape" />
      </ShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="StartPoint" />
        <ParentElementPath>
          <DomainPath>ActivityModelHasFlowElements.ActivityModel/!ActivityModel</DomainPath>
        </ParentElementPath>
        <ImageShapeMoniker Name="StartShape" />
      </ShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="EndPoint" />
        <ParentElementPath>
          <DomainPath>ActivityModelHasFlowElements.ActivityModel/!ActivityModel</DomainPath>
        </ParentElementPath>
        <ImageShapeMoniker Name="EndShape" />
      </ShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="ActivityData" />
        <ParentElementPath>
          <DomainPath>ActivityModelHasData.ActivityModel/!ActivityModel</DomainPath>
        </ParentElementPath>
        <CompartmentShapeMoniker Name="DataShape" />
        <CompartmentMap>
          <CompartmentMoniker Name="DataShape/AttributesCompartment" />
          <ElementsDisplayed>
            <DomainPath>ActivityDataHasAttributes.Attributes/!DataAttribute</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="DataAttribute/NameAndType" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
      </CompartmentShapeMap>
    </ShapeMaps>
    <ConnectorMaps>
      <ConnectorMap>
        <ConnectorMoniker Name="FlowConnector" />
        <DomainRelationshipMoniker Name="Transition" />
        <DecoratorMap>
          <TextDecoratorMoniker Name="FlowConnector/Name" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Transition/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
      </ConnectorMap>
    </ConnectorMaps>
  </Diagram>
  <Designer FileExtension="saml" EditorGuid="3e8ef635-6479-4e24-b89c-8917b34b350f">
    <RootClass>
      <DomainClassMoniker Name="ActivityModel" />
    </RootClass>
    <XmlSerializationDefinition CustomPostLoad="false">
      <XmlSerializationBehaviorMoniker Name="SalamancaActivityModelLanguageSerializationBehavior" />
    </XmlSerializationDefinition>
    <ToolboxTab TabText="SalamancaActivityModelLanguage">
      <ElementTool Name="QuestionState" ToolboxIcon="Resources\QuestionStateTool.bmp" Caption="Question State" Tooltip="Question State" HelpKeyword="QuestionState">
        <DomainClassMoniker Name="QuestionState" />
      </ElementTool>
      <ElementTool Name="ActionState" ToolboxIcon="Resources\ActionStateTool.bmp" Caption="Action State" Tooltip="Action State" HelpKeyword="ActionState">
        <DomainClassMoniker Name="ActionState" />
      </ElementTool>
      <ConnectionTool Name="Flow" ToolboxIcon="Resources\FlowTool.bmp" Caption="Flow" Tooltip="Flow" HelpKeyword="Flow">
        <ConnectionBuilderMoniker Name="SalamancaActivityModelLanguage/TransitionBuilder" />
      </ConnectionTool>
      <ElementTool Name="Start" ToolboxIcon="Resources\StartTool.bmp" Caption="Start" Tooltip="Start" HelpKeyword="Start">
        <DomainClassMoniker Name="StartPoint" />
      </ElementTool>
      <ElementTool Name="End" ToolboxIcon="Resources\EndTool.bmp" Caption="End" Tooltip="End" HelpKeyword="End">
        <DomainClassMoniker Name="EndPoint" />
      </ElementTool>
    </ToolboxTab>
    <Validation UsesMenu="true" UsesOpen="true" UsesSave="true" UsesLoad="true" />
    <DiagramMoniker Name="ActivityModelDiagram" />
  </Designer>
  <Explorer ExplorerGuid="ad7fae60-c1f4-4063-874b-a0f57af6c0e5" Title="SalamancaActivityModelLanguage Explorer">
    <ExplorerBehaviorMoniker Name="SalamancaActivityModelLanguage/SalamancaActivityModelLanguageExplorer" />
  </Explorer>
</Dsl>