﻿<?xml version="1.0" encoding="utf-8"?>
<Dsl dslVersion="1.0.0.0" Id="dd500921-2918-4385-af2f-196d92f23bfb" Description="Description for Salamanca.Sdml.SalamancaDomainModelLanguage" Name="SalamancaDomainModelLanguage" DisplayName="Domain Model" Namespace="Salamanca.Sdml" ProductName="Salamanca" CompanyName="NourY Solutions" PackageGuid="09286e59-ca21-4878-a676-a1a3b081f214" PackageNamespace="Salamanca.Sdml" xmlns="http://schemas.microsoft.com/VisualStudio/2005/DslTools/DslDefinitionModel">
  <Classes>
    <DomainClass Id="a4b661f7-65e8-431d-82e5-8049a7562041" Description="" Name="NamedElement" DisplayName="Named Element" InheritanceModifier="Abstract" Namespace="Salamanca.Sdml">
      <Properties>
        <DomainProperty Id="a3b58bf8-4c68-49d7-8348-c5f4a04ec4a3" Description="" Name="Name" DisplayName="Name" DefaultValue="" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="912e872f-4652-4ffa-a4fb-a2e7e45080af" Description="" Name="DomainModel" DisplayName="Domain Model" Namespace="Salamanca.Sdml">
      <BaseClass>
        <DomainClassMoniker Name="NamedElement" />
      </BaseClass>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Comment" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>DomainModelHasComments.Comments</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="DomainElement" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>DomainModelHasElements.Elements</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="e0c4ddb7-5d13-4b6c-992f-4977ec8f2b11" Description="" Name="DomainEntity" DisplayName="Domain Entity" Namespace="Salamanca.Sdml">
      <BaseClass>
        <DomainClassMoniker Name="DomainElement" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="f1a18980-67a7-4192-80fe-11746adbde35" Description="Description for Salamanca.Sdml.DomainEntity.Inheritance Modifier" Name="InheritanceModifier" DisplayName="Inheritance Modifier" DefaultValue="None">
          <Type>
            <DomainEnumerationMoniker Name="InheritanceModifier" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="1960fb87-7a8d-4a63-a359-7e3f0a23fdc4" Description="Description for Salamanca.Sdml.DomainEntity.Plural Name" Name="PluralName" DisplayName="Plural Name">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="EntityAttribute" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>EntityHasAttributes.Attributes</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="c46410cd-569f-4837-91b3-324a6075b5c2" Description="An attribute of a Domain Entity." Name="EntityAttribute" DisplayName="Entity Attribute" Namespace="Salamanca.Sdml">
      <BaseClass>
        <DomainClassMoniker Name="DomainModelElement" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="f91eea01-1a1d-4752-8f0c-fb6783335dd7" Description="" Name="Type" DisplayName="Type" DefaultValue="string">
          <Attributes>
            <ClrAttribute Name="System.ComponentModel.TypeConverter">
              <Parameters>
                <AttributeParameter Value="typeof(Salamanca.Sdml.TypesProviderConverter)" />
              </Parameters>
            </ClrAttribute>
          </Attributes>
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="1128c78c-9461-4023-8ce1-bc7da275aa68" Description="" Name="InitialValue" DisplayName="Initial Value" DefaultValue="">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="bcd3cdea-6157-458e-a324-2cf279cef6da" Description="Description for Salamanca.Sdml.EntityAttribute.Allow Null" Name="AllowNull" DisplayName="Allow Null" DefaultValue="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="a0165469-a3f6-4343-bb6a-9a76e346ec2e" Description="Description for Salamanca.Sdml.EntityAttribute.Max Length" Name="MaxLength" DisplayName="Max Length" DefaultValue="-1">
          <Type>
            <ExternalTypeMoniker Name="/System/Int32" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="12568041-9596-4453-8fa7-d2f9b8b59761" Description="Description for Salamanca.Sdml.EntityAttribute.Unique" Name="Unique" DisplayName="Unique" DefaultValue="false">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="9dbc07c0-6977-4524-b869-12c82f785d73" Description="Description for Salamanca.Sdml.EntityAttribute.Name And Type" Name="NameAndType" DisplayName="Name And Type" Kind="CustomStorage" IsBrowsable="false">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="bef29071-97ab-4aed-b684-533e34cfc74a" Description="" Name="Comment" DisplayName="Comment" Namespace="Salamanca.Sdml">
      <Properties>
        <DomainProperty Id="6f6234e2-f099-4af9-b92e-0f452588215d" Description="" Name="Text" DisplayName="Text" DefaultValue="">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="4202c023-5be6-425f-b643-1f0903e1dff0" Description="" Name="MultipleAssociation" DisplayName="Multiple Association" Namespace="Salamanca.Sdml">
      <BaseClass>
        <DomainClassMoniker Name="DomainElement" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="9a91de54-22ae-4d62-ab0c-f40a92235ffb" Description="" Name="DomainElement" DisplayName="Domain Element" InheritanceModifier="Abstract" Namespace="Salamanca.Sdml">
      <BaseClass>
        <DomainClassMoniker Name="DomainModelElement" />
      </BaseClass>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Comment" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>CommentReferencesSubjects.Comments</DomainPath>
            <DomainPath>DomainModelHasElements.DomainModel/!DomainModel/DomainModelHasComments.Comments</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="f1b1d8be-8320-47d8-a2f9-37345700774d" Description="Element with a Description" Name="DomainModelElement" DisplayName="Domain Model Element" InheritanceModifier="Abstract" Namespace="Salamanca.Sdml">
      <Notes>Abstract base of all elements that have a Description property.</Notes>
      <BaseClass>
        <DomainClassMoniker Name="NamedElement" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="66a9674f-a5e1-4856-84fd-d31359f3b0d0" Description="This is a Description." Name="Description" DisplayName="Description" DefaultValue="">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="c1fc391d-890b-4cd5-bd99-843a27d271b5" Description="Description for Salamanca.Sdml.DomainEnum" Name="DomainEnum" DisplayName="Domain Enum" Namespace="Salamanca.Sdml">
      <BaseClass>
        <DomainClassMoniker Name="DomainElement" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="1fab8d31-4bf1-4514-8adf-440db89fffe0" Description="Description for Salamanca.Sdml.DomainEnum.Underlying Type" Name="UnderlyingType" DisplayName="Underlying Type" DefaultValue="string">
          <Attributes>
            <ClrAttribute Name="System.ComponentModel.TypeConverter">
              <Parameters>
                <AttributeParameter Value="typeof(Salamanca.Sdml.EnumTypesProviderConverter)" />
              </Parameters>
            </ClrAttribute>
          </Attributes>
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="EnumValue" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>DomainEnumHasValues.Values</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="8aa856d8-f81d-4a56-a935-126d17fe6c3c" Description="Description for Salamanca.Sdml.EnumValue" Name="EnumValue" DisplayName="Enum Value" Namespace="Salamanca.Sdml">
      <BaseClass>
        <DomainClassMoniker Name="DomainModelElement" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="f3b76ebe-b23e-4b83-979d-b503ac1438b3" Description="Description for Salamanca.Sdml.EnumValue.Underlying Value" Name="UnderlyingValue" DisplayName="Underlying Value" DefaultValue="">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="c5b16d89-5f69-49a9-b515-0b1fb3e7b699" Description="Description for Salamanca.Sdml.EnumValue.Name And Underlying Value" Name="NameAndUnderlyingValue" DisplayName="Name And Underlying Value" Kind="CustomStorage" IsBrowsable="false">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
  </Classes>
  <Relationships>
    <DomainRelationship Id="0aa802a4-fa32-4283-9715-d8fac872b5da" Description="Associations between Classes." Name="Association" DisplayName="Association" Namespace="Salamanca.Sdml">
      <Notes>This is the abstract base relationship of the several kinds of association between Classes.
      It defines the Properties that are attached to each association.</Notes>
      <Properties>
        <DomainProperty Id="6148d234-3b25-443a-84f7-d017263f8b81" Description="" Name="SourceMultiplicity" DisplayName="Source Multiplicity" DefaultValue="ZeroMany">
          <Type>
            <DomainEnumerationMoniker Name="Multiplicity" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="a6507398-636e-4cfa-a377-ce6e1e368b0f" Description="" Name="SourceRoleName" DisplayName="Source Role Name" DefaultValue="">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="95584aaa-98ca-4e08-b6e6-43ef04d68ff0" Description="" Name="TargetMultiplicity" DisplayName="Target Multiplicity" DefaultValue="ZeroMany">
          <Type>
            <DomainEnumerationMoniker Name="Multiplicity" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="acaf3c94-08d9-47a0-b23b-c8c262496ad2" Description="" Name="TargetRoleName" DisplayName="Target Role Name" DefaultValue="">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="bfbef838-11c9-486a-8515-dd9bbc8f39c6" Description="Description for Salamanca.Sdml.Association.Form" Name="Form" DisplayName="Form" DefaultValue="BiDirectional">
          <Type>
            <DomainEnumerationMoniker Name="AssociationForm" />
          </Type>
        </DomainProperty>
      </Properties>
      <Source>
        <DomainRole Id="25019bbc-67d2-49e8-82d4-150ef2b3cec1" Description="" Name="Source" DisplayName="Source" PropertyName="Targets" PropertyDisplayName="Targets">
          <Notes>The Targets property on a ModelClass will include all the elements targeted by every kind of Association.</Notes>
          <RolePlayer>
            <DomainClassMoniker Name="DomainEntity" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="99c02acb-f592-47fd-af99-a301cdaf0a28" Description="" Name="Target" DisplayName="Target" PropertyName="Sources" PropertyDisplayName="Sources">
          <Notes>The Sources property on a ModelClass will include all the elements sourced by every kind of Association.</Notes>
          <RolePlayer>
            <DomainClassMoniker Name="DomainEntity" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="b3f7aa0c-7580-434e-ac0c-d246c5127ada" Description="" Name="EntityHasAttributes" DisplayName="Entity Has Attributes" Namespace="Salamanca.Sdml" IsEmbedding="true">
      <Source>
        <DomainRole Id="593dcbc3-9b44-471f-a2ef-a7bfaaabb455" Description="" Name="DomainEntity" DisplayName="Domain Entity" PropertyName="Attributes" PropertyDisplayName="Attributes">
          <RolePlayer>
            <DomainClassMoniker Name="DomainEntity" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="9c92386f-3454-490e-945e-606dceb2d4cd" Description="" Name="Attribute" DisplayName="Attribute" PropertyName="DomainEntity" Multiplicity="ZeroOne" PropagatesDelete="true" PropertyDisplayName="Domain Entity">
          <RolePlayer>
            <DomainClassMoniker Name="EntityAttribute" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="2c78f6e7-aa64-4470-be90-6ced5234a5de" Description="" Name="DomainModelHasComments" DisplayName="Domain Model Has Comments" Namespace="Salamanca.Sdml" IsEmbedding="true">
      <Source>
        <DomainRole Id="d3ada439-0bfd-4250-8f27-3c5b60d1e148" Description="" Name="DomainModel" DisplayName="Domain Model" PropertyName="Comments" PropertyDisplayName="Comments">
          <RolePlayer>
            <DomainClassMoniker Name="DomainModel" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="89ca4337-32a4-40b1-bb1f-25d1f7cee70e" Description="" Name="Comment" DisplayName="Comment" PropertyName="DomainModel" Multiplicity="One" PropagatesDelete="true" PropertyDisplayName="Domain Model">
          <RolePlayer>
            <DomainClassMoniker Name="Comment" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="60252e56-3a32-48e8-8112-54bac8d4e2d0" Description="Inheritance between Classes." Name="Generalization" DisplayName="Generalization" Namespace="Salamanca.Sdml">
      <Source>
        <DomainRole Id="656bdbb2-35eb-46ea-8ea1-7edc9e016cef" Description="" Name="Parent" DisplayName="Parent" PropertyName="SubEntities" PropertyDisplayName="Sub Entities">
          <RolePlayer>
            <DomainClassMoniker Name="DomainEntity" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="5f05ef04-bbff-4e84-b7c0-a64c95bfc321" Description="" Name="SubEntity" DisplayName="Sub Entity" PropertyName="Parent" Multiplicity="ZeroOne" PropertyDisplayName="Parent">
          <RolePlayer>
            <DomainClassMoniker Name="DomainEntity" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="53ea8a09-917c-481f-a817-115c9603cfed" Description="Links a MultipleAssociation to one of the classes it associates." Name="MultipleAssociationRole" DisplayName="Multiple Association Role" Namespace="Salamanca.Sdml">
      <Properties>
        <DomainProperty Id="13496cba-5de4-4565-92ba-78f12964fce8" Description="" Name="Multiplicity" DisplayName="Multiplicity" DefaultValue="ZeroMany">
          <Type>
            <DomainEnumerationMoniker Name="Multiplicity" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="08ccc5f7-febc-458a-955c-3e88071912ab" Description="" Name="RoleName" DisplayName="RoleName" DefaultValue="">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <Source>
        <DomainRole Id="881eabea-e015-46e8-a951-a2c898a6d0aa" Description="" Name="MultipleAssociation" DisplayName="Multiple Association" PropertyName="Types" PropertyDisplayName="Types">
          <RolePlayer>
            <DomainClassMoniker Name="MultipleAssociation" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="6d79669c-f1ef-44b0-a4bf-226d5a50b367" Description="" Name="Type" DisplayName="Type" PropertyName="MultipleAssociations" PropertyDisplayName="Multiple Associations">
          <RolePlayer>
            <DomainClassMoniker Name="DomainEntity" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="cbf39399-b478-416b-a792-f7b23646cddf" Description="Identifies a MultipleAssociation with a Domain Entity, so that it can have attributes." Name="AssociationEntityRelationship" DisplayName="Association Entity Relationship" Namespace="Salamanca.Sdml">
      <Source>
        <DomainRole Id="c0956798-f330-49ae-a805-bcff91d3f142" Description="" Name="MultipleAssociation" DisplayName="Multiple Association" PropertyName="AssociationClass" Multiplicity="ZeroOne" PropertyDisplayName="Association Class">
          <RolePlayer>
            <DomainClassMoniker Name="MultipleAssociation" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="b28526f0-47e2-4ca0-bfff-efe81e88113d" Description="" Name="AssociationClass" DisplayName="Association Class" PropertyName="MultipleAssociation" Multiplicity="ZeroOne" PropertyDisplayName="Multiple Association">
          <RolePlayer>
            <DomainClassMoniker Name="DomainEntity" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="8a10ea3e-0cfa-4d42-9864-f10b53c65563" Description="" Name="DomainModelHasElements" DisplayName="Domain Model Has Elements" Namespace="Salamanca.Sdml" IsEmbedding="true">
      <Source>
        <DomainRole Id="2517e52c-22ed-449b-bbcd-822c590e1c84" Description="" Name="DomainModel" DisplayName="Domain Model" PropertyName="Elements" PropertyDisplayName="Elements">
          <RolePlayer>
            <DomainClassMoniker Name="DomainModel" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="5ae72850-c67d-4d70-b9f8-b59ef0eecb69" Description="" Name="Element" DisplayName="Element" PropertyName="DomainModel" Multiplicity="One" PropagatesDelete="true" PropertyDisplayName="">
          <RolePlayer>
            <DomainClassMoniker Name="DomainElement" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="f2151a3a-272a-4f32-8bab-8ed52669dff6" Description="" Name="CommentReferencesSubjects" DisplayName="Comment References Subjects" Namespace="Salamanca.Sdml">
      <Source>
        <DomainRole Id="57d2a93c-7055-4cbf-81a8-effa40148fe7" Description="" Name="Comment" DisplayName="Comment" PropertyName="Subjects" PropertyDisplayName="Subjects">
          <RolePlayer>
            <DomainClassMoniker Name="Comment" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="7cc0ce36-8a13-4086-8688-b38904aaf49c" Description="" Name="Subject" DisplayName="Subject" PropertyName="Comments" PropertyDisplayName="Comments">
          <RolePlayer>
            <DomainClassMoniker Name="DomainElement" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="db6b491e-fca4-4d07-8665-ba365641bf0b" Description="Description for Salamanca.Sdml.DomainEnumHasValues" Name="DomainEnumHasValues" DisplayName="Domain Enum Has Values" Namespace="Salamanca.Sdml" IsEmbedding="true">
      <Source>
        <DomainRole Id="55de075a-07bc-4471-9065-7593b9d794cd" Description="Description for Salamanca.Sdml.DomainEnumHasValues.DomainEnum" Name="DomainEnum" DisplayName="Domain Enum" PropertyName="Values" Multiplicity="OneMany" PropertyDisplayName="Values">
          <RolePlayer>
            <DomainClassMoniker Name="DomainEnum" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="0928c44c-3627-4bd7-b69b-d79a11624009" Description="Description for Salamanca.Sdml.DomainEnumHasValues.EnumValue" Name="EnumValue" DisplayName="Enum Value" PropertyName="DomainEnum" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Domain Enum">
          <RolePlayer>
            <DomainClassMoniker Name="EnumValue" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
  </Relationships>
  <Types>
    <ExternalType Name="DateTime" Namespace="System" />
    <ExternalType Name="String" Namespace="System" />
    <ExternalType Name="Int16" Namespace="System" />
    <ExternalType Name="Int32" Namespace="System" />
    <ExternalType Name="Int64" Namespace="System" />
    <ExternalType Name="UInt16" Namespace="System" />
    <ExternalType Name="UInt32" Namespace="System" />
    <ExternalType Name="UInt64" Namespace="System" />
    <ExternalType Name="SByte" Namespace="System" />
    <ExternalType Name="Byte" Namespace="System" />
    <ExternalType Name="Double" Namespace="System" />
    <ExternalType Name="Single" Namespace="System" />
    <ExternalType Name="Guid" Namespace="System" />
    <ExternalType Name="Boolean" Namespace="System" />
    <ExternalType Name="Char" Namespace="System" />
    <DomainEnumeration Name="AccessModifier" Namespace="Salamanca.Sdml" Description="">
      <Literals>
        <EnumerationLiteral Description="" Name="Public" Value="0" />
        <EnumerationLiteral Description="" Name="Assembly" Value="1" />
        <EnumerationLiteral Description="" Name="Private" Value="2" />
        <EnumerationLiteral Description="" Name="Family" Value="3" />
        <EnumerationLiteral Description="" Name="FamilyOrAssembly" Value="4" />
        <EnumerationLiteral Description="" Name="FamilyAndAssembly" Value="5" />
      </Literals>
    </DomainEnumeration>
    <DomainEnumeration Name="TypeAccessModifier" Namespace="Salamanca.Sdml" Description="">
      <Literals>
        <EnumerationLiteral Description="" Name="Public" Value="0" />
        <EnumerationLiteral Description="" Name="Private" Value="1" />
      </Literals>
    </DomainEnumeration>
    <DomainEnumeration Name="InheritanceModifier" Namespace="Salamanca.Sdml" Description="">
      <Literals>
        <EnumerationLiteral Description="" Name="None" Value="0" />
        <EnumerationLiteral Description="" Name="Abstract" Value="1" />
        <EnumerationLiteral Description="" Name="Sealed" Value="2" />
      </Literals>
    </DomainEnumeration>
    <DomainEnumeration Name="Multiplicity" Namespace="Salamanca.Sdml" Description="">
      <Literals>
        <EnumerationLiteral Description="*" Name="ZeroMany" Value="0" />
        <EnumerationLiteral Description="1" Name="One" Value="1" />
        <EnumerationLiteral Description="0..1" Name="ZeroOne" Value="2" />
        <EnumerationLiteral Description="1..*" Name="OneMany" Value="3" />
      </Literals>
    </DomainEnumeration>
    <DomainEnumeration Name="AssociationForm" Namespace="Salamanca.Sdml" Description="Description for Salamanca.Sdml.AssociationForm">
      <Literals>
        <EnumerationLiteral Description="Description for Salamanca.Sdml.AssociationForm.UniDirectional" Name="UniDirectional" Value="" />
        <EnumerationLiteral Description="Description for Salamanca.Sdml.AssociationForm.BiDirectional" Name="BiDirectional" Value="" />
        <EnumerationLiteral Description="Description for Salamanca.Sdml.AssociationForm.Aggregation" Name="Aggregation" Value="" />
        <EnumerationLiteral Description="Description for Salamanca.Sdml.AssociationForm.Composition" Name="Composition" Value="" />
      </Literals>
    </DomainEnumeration>
  </Types>
  <Shapes>
    <CompartmentShape Id="bc0ddd0d-7932-4620-af06-e3fd5a0116a6" Description="" Name="DomainEntityShape" DisplayName="Domain Entity Shape" Namespace="Salamanca.Sdml" FixedTooltipText="Domain Entity Shape" FillColor="211, 220, 239" InitialHeight="0.3" OutlineThickness="0.01" Geometry="RoundedRectangle">
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0.22" VerticalOffset="0">
        <TextDecorator Name="Name" DisplayName="Name" DefaultText="Name" FontStyle="Bold" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0">
        <ExpandCollapseDecorator Name="ExpandCollapse" DisplayName="Expand Collapse" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <IconDecorator Name="Icon" DisplayName="Icon" DefaultIcon="Resources\DomainEntity.bmp" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0.25" VerticalOffset="0.12">
        <TextDecorator Name="Inheritance" DisplayName="Inheritance" DefaultText="Inheritance" FontSize="7" />
      </ShapeHasDecorators>
      <Compartment TitleFillColor="235, 235, 235" Name="AttributesCompartment" Title="Attributes" />
    </CompartmentShape>
    <GeometryShape Id="f6a595d9-dd4a-49a5-978f-3681e251df3d" Description="" Name="CommentBoxShape" DisplayName="Comment Box Shape" Namespace="Salamanca.Sdml" FixedTooltipText="Comment Box Shape" FillColor="255, 255, 204" OutlineColor="204, 204, 102" InitialHeight="0.3" OutlineThickness="0.01" FillGradientMode="None" Geometry="Rectangle">
      <ShapeHasDecorators Position="Center" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="Comment" DisplayName="Comment" DefaultText="BusinessRulesShapeNameDecorator" />
      </ShapeHasDecorators>
    </GeometryShape>
    <ImageShape Id="d2871512-b864-4d81-a14b-ff967b480b7c" Description="" Name="MultipleAssociationShape" DisplayName="Multiple Association Shape" Namespace="Salamanca.Sdml" FixedTooltipText="Multiple Association Shape" InitialHeight="1" OutlineThickness="0.01" Image="Resources\Relation.emf" />
    <CompartmentShape Id="6baaea3d-74c9-4bd9-8414-79d547ab0a3c" Description="Description for Salamanca.Sdml.DomainEnumShape" Name="DomainEnumShape" DisplayName="Domain Enum Shape" Namespace="Salamanca.Sdml" FixedTooltipText="Domain Enum Shape" FillColor="211, 239, 220" InitialHeight="0.3" OutlineThickness="0.01" Geometry="Rectangle">
      <ShapeHasDecorators Position="InnerTopCenter" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="Name" DisplayName="Name" DefaultText="Name" FontStyle="Bold" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0">
        <ExpandCollapseDecorator Name="ExpandCollapse" DisplayName="Expand Collapse" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <IconDecorator Name="Icon" DisplayName="Icon" DefaultIcon="Resources\DomainEnum.bmp" />
      </ShapeHasDecorators>
      <Compartment Name="ValuesCompartment" Title="Values" />
    </CompartmentShape>
  </Shapes>
  <Connectors>
    <Connector Id="34cbcc26-6bc8-4173-9933-f229fa11f482" Description="" Name="AssociationConnector" DisplayName="Association Connector" Namespace="Salamanca.Sdml" GeneratesDoubleDerived="true" FixedTooltipText="Association Connector" Thickness="0.01">
      <ConnectorHasDecorators Position="TargetBottom" OffsetFromShape="0" OffsetFromLine="0">
        <TextDecorator Name="TargetMultiplicity" DisplayName="Target Multiplicity" DefaultText="TargetMultiplicity" FontStyle="Bold" FontSize="7" />
      </ConnectorHasDecorators>
      <ConnectorHasDecorators Position="SourceBottom" OffsetFromShape="0" OffsetFromLine="0">
        <TextDecorator Name="SourceMultiplicity" DisplayName="Source Multiplicity" DefaultText="SourceMultiplicity" FontStyle="Bold" FontSize="7" />
      </ConnectorHasDecorators>
      <ConnectorHasDecorators Position="TargetTop" OffsetFromShape="0" OffsetFromLine="0">
        <TextDecorator Name="TargetRoleName" DisplayName="Target Role Name" DefaultText="TargetRoleName" FontSize="7" />
      </ConnectorHasDecorators>
      <ConnectorHasDecorators Position="SourceTop" OffsetFromShape="0" OffsetFromLine="0">
        <TextDecorator Name="SourceRoleName" DisplayName="Source Role Name" DefaultText="SourceRoleName" FontSize="7" />
      </ConnectorHasDecorators>
    </Connector>
    <Connector Id="002b1adb-09ff-45e5-9f7c-93d77549dfce" Description="" Name="MultipleAssociationRoleConnector" DisplayName="Multiple Association Role Connector" Namespace="Salamanca.Sdml" FixedTooltipText="Multiple Association Role Connector" Color="113, 111, 110" Thickness="0.01">
      <ConnectorHasDecorators Position="TargetBottom" OffsetFromShape="0" OffsetFromLine="0">
        <TextDecorator Name="TargetMultiplicity" DisplayName="Target Multiplicity" DefaultText="TargetMultiplicity" FontStyle="Bold" FontSize="7" />
      </ConnectorHasDecorators>
      <ConnectorHasDecorators Position="TargetTop" OffsetFromShape="0" OffsetFromLine="0">
        <TextDecorator Name="TargetRoleName" DisplayName="Target Role Name" DefaultText="TargetRoleName" FontSize="7" />
      </ConnectorHasDecorators>
    </Connector>
    <Connector Id="bb9e07d3-3bf8-4e47-be60-83b06d144bed" Description="" Name="AssociationEntityConnector" DisplayName="Association Entity Connector" Namespace="Salamanca.Sdml" FixedTooltipText="Association Entity Connector" Color="DarkGray" DashStyle="Dash" Thickness="0.01" />
    <Connector Id="1d51cf14-5b6b-4b8f-b36a-5c8a98621f36" Description="" Name="GeneralizationConnector" DisplayName="Generalization Connector" Namespace="Salamanca.Sdml" FixedTooltipText="Generalization Connector" Color="113, 111, 110" SourceEndStyle="HollowArrow" Thickness="0.01" />
    <Connector Id="77b4f43d-7c63-4b25-9bf0-b612a739f865" Description="" Name="CommentConnector" DisplayName="Comment Connector" Namespace="Salamanca.Sdml" FixedTooltipText="Comment Connector" Color="113, 111, 110" DashStyle="Dot" Thickness="0.01" RoutingStyle="Straight" />
  </Connectors>
  <XmlSerializationBehavior Name="SalamancaDomainModelLanguageSerializationBehavior" Namespace="Salamanca.Sdml">
    <ClassData>
      <XmlClassData TypeName="NamedElement" MonikerAttributeName="" MonikerElementName="namedElementMoniker" ElementName="namedElement" MonikerTypeName="NamedElementMoniker">
        <DomainClassMoniker Name="NamedElement" />
        <ElementData>
          <XmlPropertyData XmlName="name" IsMonikerKey="true">
            <DomainPropertyMoniker Name="NamedElement/Name" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Association" MonikerAttributeName="" SerializeId="true" MonikerElementName="associationMoniker" ElementName="association" MonikerTypeName="AssociationMoniker">
        <DomainRelationshipMoniker Name="Association" />
        <ElementData>
          <XmlPropertyData XmlName="sourceMultiplicity">
            <DomainPropertyMoniker Name="Association/SourceMultiplicity" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="sourceRoleName">
            <DomainPropertyMoniker Name="Association/SourceRoleName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="targetMultiplicity">
            <DomainPropertyMoniker Name="Association/TargetMultiplicity" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="targetRoleName">
            <DomainPropertyMoniker Name="Association/TargetRoleName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="form">
            <DomainPropertyMoniker Name="Association/Form" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="EntityHasAttributes" MonikerAttributeName="" MonikerElementName="entityHasAttributesMoniker" ElementName="entityHasAttributes" MonikerTypeName="EntityHasAttributesMoniker">
        <DomainRelationshipMoniker Name="EntityHasAttributes" />
      </XmlClassData>
      <XmlClassData TypeName="DomainModelHasComments" MonikerAttributeName="" MonikerElementName="domainModelHasCommentsMoniker" ElementName="domainModelHasComments" MonikerTypeName="DomainModelHasCommentsMoniker">
        <DomainRelationshipMoniker Name="DomainModelHasComments" />
      </XmlClassData>
      <XmlClassData TypeName="Generalization" MonikerAttributeName="" MonikerElementName="generalizationMoniker" ElementName="generalization" MonikerTypeName="GeneralizationMoniker">
        <DomainRelationshipMoniker Name="Generalization" />
      </XmlClassData>
      <XmlClassData TypeName="MultipleAssociationRole" MonikerAttributeName="" MonikerElementName="multipleAssociationRoleMoniker" ElementName="multipleAssociationRole" MonikerTypeName="MultipleAssociationRoleMoniker">
        <DomainRelationshipMoniker Name="MultipleAssociationRole" />
        <ElementData>
          <XmlPropertyData XmlName="multiplicity">
            <DomainPropertyMoniker Name="MultipleAssociationRole/Multiplicity" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="roleName">
            <DomainPropertyMoniker Name="MultipleAssociationRole/RoleName" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="AssociationEntityRelationship" MonikerAttributeName="" MonikerElementName="associationEntityRelationshipMoniker" ElementName="associationEntityRelationship" MonikerTypeName="AssociationEntityRelationshipMoniker">
        <DomainRelationshipMoniker Name="AssociationEntityRelationship" />
      </XmlClassData>
      <XmlClassData TypeName="DomainModelHasElements" MonikerAttributeName="" MonikerElementName="domainModelHasElementsMoniker" ElementName="domainModelHasElements" MonikerTypeName="DomainModelHasElementsMoniker">
        <DomainRelationshipMoniker Name="DomainModelHasElements" />
      </XmlClassData>
      <XmlClassData TypeName="CommentReferencesSubjects" MonikerAttributeName="" MonikerElementName="commentReferencesSubjectsMoniker" ElementName="commentReferencesSubjects" MonikerTypeName="CommentReferencesSubjectsMoniker">
        <DomainRelationshipMoniker Name="CommentReferencesSubjects" />
      </XmlClassData>
      <XmlClassData TypeName="DomainModel" MonikerAttributeName="" MonikerElementName="domainModelMoniker" ElementName="domainModel" MonikerTypeName="DomainModelMoniker">
        <DomainClassMoniker Name="DomainModel" />
        <ElementData>
          <XmlRelationshipData RoleElementName="comments">
            <DomainRelationshipMoniker Name="DomainModelHasComments" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="elements">
            <DomainRelationshipMoniker Name="DomainModelHasElements" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DomainEntity" MonikerAttributeName="" MonikerElementName="domainEntityMoniker" ElementName="domainEntity" MonikerTypeName="DomainEntityMoniker">
        <DomainClassMoniker Name="DomainEntity" />
        <ElementData>
          <XmlRelationshipData RoleElementName="attributes">
            <DomainRelationshipMoniker Name="EntityHasAttributes" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="subEntities">
            <DomainRelationshipMoniker Name="Generalization" />
          </XmlRelationshipData>
          <XmlRelationshipData UseFullForm="true" RoleElementName="targets">
            <DomainRelationshipMoniker Name="Association" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="inheritanceModifier">
            <DomainPropertyMoniker Name="DomainEntity/InheritanceModifier" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="pluralName">
            <DomainPropertyMoniker Name="DomainEntity/PluralName" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="EntityAttribute" MonikerAttributeName="" MonikerElementName="entityAttributeMoniker" ElementName="entityAttribute" MonikerTypeName="EntityAttributeMoniker">
        <DomainClassMoniker Name="EntityAttribute" />
        <ElementData>
          <XmlPropertyData XmlName="type">
            <DomainPropertyMoniker Name="EntityAttribute/Type" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="initialValue">
            <DomainPropertyMoniker Name="EntityAttribute/InitialValue" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="allowNull">
            <DomainPropertyMoniker Name="EntityAttribute/AllowNull" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="maxLength">
            <DomainPropertyMoniker Name="EntityAttribute/MaxLength" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="unique">
            <DomainPropertyMoniker Name="EntityAttribute/Unique" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="nameAndType" Representation="Ignore">
            <DomainPropertyMoniker Name="EntityAttribute/NameAndType" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Comment" MonikerAttributeName="" SerializeId="true" MonikerElementName="commentMoniker" ElementName="comment" MonikerTypeName="CommentMoniker">
        <DomainClassMoniker Name="Comment" />
        <ElementData>
          <XmlPropertyData XmlName="text">
            <DomainPropertyMoniker Name="Comment/Text" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="subjects">
            <DomainRelationshipMoniker Name="CommentReferencesSubjects" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="MultipleAssociation" MonikerAttributeName="" MonikerElementName="multipleAssociationMoniker" ElementName="multipleAssociation" MonikerTypeName="MultipleAssociationMoniker">
        <DomainClassMoniker Name="MultipleAssociation" />
        <ElementData>
          <XmlRelationshipData UseFullForm="true" RoleElementName="types">
            <DomainRelationshipMoniker Name="MultipleAssociationRole" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="associationClass">
            <DomainRelationshipMoniker Name="AssociationEntityRelationship" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DomainElement" MonikerAttributeName="" MonikerElementName="domainElementMoniker" ElementName="domainElement" MonikerTypeName="DomainElementMoniker">
        <DomainClassMoniker Name="DomainElement" />
      </XmlClassData>
      <XmlClassData TypeName="DomainModelElement" MonikerAttributeName="" MonikerElementName="domainModelElementMoniker" ElementName="domainModelElement" MonikerTypeName="DomainModelElementMoniker">
        <DomainClassMoniker Name="DomainModelElement" />
        <ElementData>
          <XmlPropertyData XmlName="description">
            <DomainPropertyMoniker Name="DomainModelElement/Description" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DomainEntityShape" MonikerAttributeName="" MonikerElementName="domainEntityShapeMoniker" ElementName="domainEntityShape" MonikerTypeName="DomainEntityShapeMoniker">
        <CompartmentShapeMoniker Name="DomainEntityShape" />
      </XmlClassData>
      <XmlClassData TypeName="CommentBoxShape" MonikerAttributeName="" MonikerElementName="commentBoxShapeMoniker" ElementName="commentBoxShape" MonikerTypeName="CommentBoxShapeMoniker">
        <GeometryShapeMoniker Name="CommentBoxShape" />
      </XmlClassData>
      <XmlClassData TypeName="MultipleAssociationShape" MonikerAttributeName="" MonikerElementName="multipleAssociationShapeMoniker" ElementName="multipleAssociationShape" MonikerTypeName="MultipleAssociationShapeMoniker">
        <ImageShapeMoniker Name="MultipleAssociationShape" />
      </XmlClassData>
      <XmlClassData TypeName="AssociationConnector" MonikerAttributeName="" MonikerElementName="associationConnectorMoniker" ElementName="associationConnector" MonikerTypeName="AssociationConnectorMoniker">
        <ConnectorMoniker Name="AssociationConnector" />
      </XmlClassData>
      <XmlClassData TypeName="MultipleAssociationRoleConnector" MonikerAttributeName="" MonikerElementName="multipleAssociationRoleConnectorMoniker" ElementName="multipleAssociationRoleConnector" MonikerTypeName="MultipleAssociationRoleConnectorMoniker">
        <ConnectorMoniker Name="MultipleAssociationRoleConnector" />
      </XmlClassData>
      <XmlClassData TypeName="AssociationEntityConnector" MonikerAttributeName="" MonikerElementName="associationEntityConnectorMoniker" ElementName="associationEntityConnector" MonikerTypeName="AssociationEntityConnectorMoniker">
        <ConnectorMoniker Name="AssociationEntityConnector" />
      </XmlClassData>
      <XmlClassData TypeName="GeneralizationConnector" MonikerAttributeName="" MonikerElementName="generalizationConnectorMoniker" ElementName="generalizationConnector" MonikerTypeName="GeneralizationConnectorMoniker">
        <ConnectorMoniker Name="GeneralizationConnector" />
      </XmlClassData>
      <XmlClassData TypeName="CommentConnector" MonikerAttributeName="" MonikerElementName="commentConnectorMoniker" ElementName="commentConnector" MonikerTypeName="CommentConnectorMoniker">
        <ConnectorMoniker Name="CommentConnector" />
      </XmlClassData>
      <XmlClassData TypeName="DomainModelDiagram" MonikerAttributeName="" MonikerElementName="domainModelDiagramMoniker" ElementName="domainModelDiagram" MonikerTypeName="DomainModelDiagramMoniker">
        <DiagramMoniker Name="DomainModelDiagram" />
      </XmlClassData>
      <XmlClassData TypeName="DomainEnum" MonikerAttributeName="" MonikerElementName="domainEnumMoniker" ElementName="domainEnum" MonikerTypeName="DomainEnumMoniker">
        <DomainClassMoniker Name="DomainEnum" />
        <ElementData>
          <XmlPropertyData XmlName="underlyingType">
            <DomainPropertyMoniker Name="DomainEnum/UnderlyingType" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="values">
            <DomainRelationshipMoniker Name="DomainEnumHasValues" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DomainEnumShape" MonikerAttributeName="" MonikerElementName="domainEnumShapeMoniker" ElementName="domainEnumShape" MonikerTypeName="DomainEnumShapeMoniker">
        <CompartmentShapeMoniker Name="DomainEnumShape" />
      </XmlClassData>
      <XmlClassData TypeName="EnumValue" MonikerAttributeName="" MonikerElementName="enumValueMoniker" ElementName="enumValue" MonikerTypeName="EnumValueMoniker">
        <DomainClassMoniker Name="EnumValue" />
        <ElementData>
          <XmlPropertyData XmlName="underlyingValue">
            <DomainPropertyMoniker Name="EnumValue/UnderlyingValue" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="nameAndUnderlyingValue" Representation="Ignore">
            <DomainPropertyMoniker Name="EnumValue/NameAndUnderlyingValue" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DomainEnumHasValues" MonikerAttributeName="" MonikerElementName="domainEnumHasValuesMoniker" ElementName="domainEnumHasValues" MonikerTypeName="DomainEnumHasValuesMoniker">
        <DomainRelationshipMoniker Name="DomainEnumHasValues" />
      </XmlClassData>
    </ClassData>
  </XmlSerializationBehavior>
  <ExplorerBehavior Name="SalamancaDomainModelLanguageExplorer" />
  <ConnectionBuilders>
    <ConnectionBuilder Name="GeneralizationBuilder">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="Generalization" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="DomainEntity" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective UsesRoleSpecificCustomAccept="true">
            <AcceptingClass>
              <DomainClassMoniker Name="DomainEntity" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
    <ConnectionBuilder Name="AssociationBuilder">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="MultipleAssociationRole" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="MultipleAssociation" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="DomainEntity" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="Association" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="DomainEntity" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="DomainEntity" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
    <ConnectionBuilder Name="AssociationEntityRelationshipBuilder">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="AssociationEntityRelationship" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="MultipleAssociation" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="DomainEntity" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
    <ConnectionBuilder Name="CommentReferencesSubjectsBuilder">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="CommentReferencesSubjects" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="Comment" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="DomainEntity" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="MultipleAssociation" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
  </ConnectionBuilders>
  <Diagram Id="05965a08-91b4-4efc-8cb6-00e2044a3229" Description="" Name="DomainModelDiagram" DisplayName="Domain Model Diagram" Namespace="Salamanca.Sdml">
    <Class>
      <DomainClassMoniker Name="DomainModel" />
    </Class>
    <ShapeMaps>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="DomainEntity" />
        <ParentElementPath>
          <DomainPath>DomainModelHasElements.DomainModel/!DomainModel</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="DomainEntityShape/Name" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="NamedElement/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="DomainEntityShape/Inheritance" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="DomainEntity/InheritanceModifier" />
            </PropertyPath>
          </PropertyDisplayed>
          <VisibilityPropertyPath>
            <DomainPropertyMoniker Name="DomainEntity/InheritanceModifier" />
            <PropertyFilters>
              <PropertyFilter FilteringValue="Abstract" />
              <PropertyFilter FilteringValue="Sealed" />
            </PropertyFilters>
          </VisibilityPropertyPath>
        </DecoratorMap>
        <CompartmentShapeMoniker Name="DomainEntityShape" />
        <CompartmentMap>
          <CompartmentMoniker Name="DomainEntityShape/AttributesCompartment" />
          <ElementsDisplayed>
            <DomainPath>EntityHasAttributes.Attributes/!Attribute</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="EntityAttribute/NameAndType" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
      </CompartmentShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="Comment" />
        <ParentElementPath>
          <DomainPath>DomainModelHasComments.DomainModel/!DomainModel</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="CommentBoxShape/Comment" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Comment/Text" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <GeometryShapeMoniker Name="CommentBoxShape" />
      </ShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="MultipleAssociation" />
        <ParentElementPath>
          <DomainPath>DomainModelHasElements.DomainModel/!DomainModel</DomainPath>
        </ParentElementPath>
        <ImageShapeMoniker Name="MultipleAssociationShape" />
      </ShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="DomainEnum" />
        <ParentElementPath>
          <DomainPath>DomainModelHasElements.DomainModel/!DomainModel</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="DomainEnumShape/Name" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="NamedElement/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <CompartmentShapeMoniker Name="DomainEnumShape" />
        <CompartmentMap>
          <CompartmentMoniker Name="DomainEnumShape/ValuesCompartment" />
          <ElementsDisplayed>
            <DomainPath>DomainEnumHasValues.Values/!EnumValue</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="EnumValue/NameAndUnderlyingValue" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
      </CompartmentShapeMap>
    </ShapeMaps>
    <ConnectorMaps>
      <ConnectorMap>
        <ConnectorMoniker Name="MultipleAssociationRoleConnector" />
        <DomainRelationshipMoniker Name="MultipleAssociationRole" />
        <DecoratorMap>
          <TextDecoratorMoniker Name="MultipleAssociationRoleConnector/TargetMultiplicity" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="MultipleAssociationRole/Multiplicity" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="MultipleAssociationRoleConnector/TargetRoleName" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="MultipleAssociationRole/RoleName" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
      </ConnectorMap>
      <ConnectorMap>
        <ConnectorMoniker Name="AssociationEntityConnector" />
        <DomainRelationshipMoniker Name="AssociationEntityRelationship" />
      </ConnectorMap>
      <ConnectorMap>
        <ConnectorMoniker Name="CommentConnector" />
        <DomainRelationshipMoniker Name="CommentReferencesSubjects" />
      </ConnectorMap>
      <ConnectorMap>
        <ConnectorMoniker Name="GeneralizationConnector" />
        <DomainRelationshipMoniker Name="Generalization" />
      </ConnectorMap>
      <ConnectorMap>
        <ConnectorMoniker Name="AssociationConnector" />
        <DomainRelationshipMoniker Name="Association" />
        <DecoratorMap>
          <TextDecoratorMoniker Name="AssociationConnector/SourceMultiplicity" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Association/SourceMultiplicity" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="AssociationConnector/TargetMultiplicity" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Association/TargetMultiplicity" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="AssociationConnector/SourceRoleName" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Association/SourceRoleName" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="AssociationConnector/TargetRoleName" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Association/TargetRoleName" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
      </ConnectorMap>
    </ConnectorMaps>
  </Diagram>
  <Designer FileExtension="sdml" EditorGuid="91551d8b-9bae-4eff-a5f1-81af48c25302">
    <RootClass>
      <DomainClassMoniker Name="DomainModel" />
    </RootClass>
    <XmlSerializationDefinition CustomPostLoad="false">
      <XmlSerializationBehaviorMoniker Name="SalamancaDomainModelLanguageSerializationBehavior" />
    </XmlSerializationDefinition>
    <ToolboxTab TabText="Domain Model Elements">
      <ElementTool Name="Entity" ToolboxIcon="Resources\DomainEntity.bmp" Caption="Entity" Tooltip="Create a Domain Entity" HelpKeyword="DomainEnttyF1Keyword">
        <DomainClassMoniker Name="DomainEntity" />
      </ElementTool>
      <ElementTool Name="Attribute" ToolboxIcon="Resources\EntityAttribute.bmp" Caption="Attribute" Tooltip="Create an Attribute on a Domain Entity" HelpKeyword="AttributeF1Keyword">
        <DomainClassMoniker Name="EntityAttribute" />
      </ElementTool>
      <ConnectionTool Name="Association" ToolboxIcon="Resources\AssociationTool.bmp" Caption="Association" Tooltip="Create an association" HelpKeyword="ConnectAssociationF1Keyword">
        <ConnectionBuilderMoniker Name="SalamancaDomainModelLanguage/AssociationBuilder" />
      </ConnectionTool>
      <ConnectionTool Name="Generalization" ToolboxIcon="resources\generalizationtool.bmp" Caption="Inheritance" Tooltip="Create a Generalization or Implementation link" HelpKeyword="GeneralizationF1Keyword" ReversesDirection="true">
        <ConnectionBuilderMoniker Name="SalamancaDomainModelLanguage/GeneralizationBuilder" />
      </ConnectionTool>
      <ElementTool Name="Comment" ToolboxIcon="resources\commenttool.bmp" Caption="Comment" Tooltip="Create a Comment" HelpKeyword="CommentF1Keyword">
        <DomainClassMoniker Name="Comment" />
      </ElementTool>
      <ConnectionTool Name="CommentsReferenceTypes" ToolboxIcon="resources\commentlinktool.bmp" Caption="Comment Link" Tooltip="Link a comment to an element" HelpKeyword="CommentsReferenceTypesF1Keyword">
        <ConnectionBuilderMoniker Name="SalamancaDomainModelLanguage/CommentReferencesSubjectsBuilder" />
      </ConnectionTool>
      <ElementTool Name="Enumeration" ToolboxIcon="Resources\DomainEnum.bmp" Caption="Enumeration" Tooltip="Creates an Enumeration" HelpKeyword="Enumeration">
        <DomainClassMoniker Name="DomainEnum" />
      </ElementTool>
    </ToolboxTab>
    <Validation UsesMenu="true" UsesOpen="true" UsesSave="true" UsesLoad="true" />
    <DiagramMoniker Name="DomainModelDiagram" />
  </Designer>
  <Explorer ExplorerGuid="f7ce0f0e-b944-4438-ac11-3ec1c629b639" Title="">
    <ExplorerBehaviorMoniker Name="SalamancaDomainModelLanguage/SalamancaDomainModelLanguageExplorer" />
  </Explorer>
</Dsl>