﻿using System;

namespace Sevesc.Sps.DomainModel
{



    ////////////////////////////////////////////////////////////////////////////
    ///
    /// <summary>Interface implemented by a <see cref="LieuDeService" /> container.</summary>
    ///
    ////////////////////////////////////////////////////////////////////////////

    public partial interface ILieuDeServiceContainer
    {
        /// <summary>Gets or sets the contained <see cref="LieuDeService" />.</summary>
        LieuDeService LieuDeService { get; set; }
    }



    ////////////////////////////////////////////////////////////////////////////
    ///
    /// <summary>Interface implemented by a <see cref="Contrat" /> container.</summary>
    ///
    ////////////////////////////////////////////////////////////////////////////

    public partial interface IContratContainer
    {
        /// <summary>Gets or sets the contained <see cref="Contrat" />.</summary>
        Contrat Contrat { get; set; }
    }



    ////////////////////////////////////////////////////////////////////////////
    ///
    /// <summary>Interface implemented by a <see cref="Convention" /> container.</summary>
    ///
    ////////////////////////////////////////////////////////////////////////////

    public partial interface IConventionContainer
    {
        /// <summary>Gets or sets the contained <see cref="Convention" />.</summary>
        Convention Convention { get; set; }
    }



    ////////////////////////////////////////////////////////////////////////////
    ///
    /// <summary>Interface implemented by a <see cref="Personne" /> container.</summary>
    ///
    ////////////////////////////////////////////////////////////////////////////

    public partial interface IPersonneContainer
    {
        /// <summary>Gets or sets the contained <see cref="Personne" />.</summary>
        Personne Personne { get; set; }
    }



    ////////////////////////////////////////////////////////////////////////////
    ///
    /// <summary>Interface implemented by a <see cref="Compteur" /> container.</summary>
    ///
    ////////////////////////////////////////////////////////////////////////////

    public partial interface ICompteurContainer
    {
        /// <summary>Gets or sets the contained <see cref="Compteur" />.</summary>
        Compteur Compteur { get; set; }
    }



    ////////////////////////////////////////////////////////////////////////////
    ///
    /// <summary>Interface implemented by a <see cref="Branchement" /> container.</summary>
    ///
    ////////////////////////////////////////////////////////////////////////////

    public partial interface IBranchementContainer
    {
        /// <summary>Gets or sets the contained <see cref="Branchement" />.</summary>
        Branchement Branchement { get; set; }
    }



    ////////////////////////////////////////////////////////////////////////////
    ///
    /// <summary>Interface implemented by a <see cref="Volume" /> container.</summary>
    ///
    ////////////////////////////////////////////////////////////////////////////

    public partial interface IVolumeContainer
    {
        /// <summary>Gets or sets the contained <see cref="Volume" />.</summary>
        Volume Volume { get; set; }
    }



    ////////////////////////////////////////////////////////////////////////////
    ///
    /// <summary>Interface implemented by a <see cref="Equipement" /> container.</summary>
    ///
    ////////////////////////////////////////////////////////////////////////////

    public partial interface IEquipementContainer
    {
        /// <summary>Gets or sets the contained <see cref="Equipement" />.</summary>
        Equipement Equipement { get; set; }
    }



    ////////////////////////////////////////////////////////////////////////////
    ///
    /// <summary>Interface implemented by a <see cref="Dossier" /> container.</summary>
    ///
    ////////////////////////////////////////////////////////////////////////////

    public partial interface IDossierContainer
    {
        /// <summary>Gets or sets the contained <see cref="Dossier" />.</summary>
        Dossier Dossier { get; set; }
    }



    ////////////////////////////////////////////////////////////////////////////
    ///
    /// <summary>Interface implemented by a <see cref="Programme" /> container.</summary>
    ///
    ////////////////////////////////////////////////////////////////////////////

    public partial interface IProgrammeContainer
    {
        /// <summary>Gets or sets the contained <see cref="Programme" />.</summary>
        Programme Programme { get; set; }
    }



    ////////////////////////////////////////////////////////////////////////////
    ///
    /// <summary>Interface implemented by a <see cref="Etape" /> container.</summary>
    ///
    ////////////////////////////////////////////////////////////////////////////

    public partial interface IEtapeContainer
    {
        /// <summary>Gets or sets the contained <see cref="Etape" />.</summary>
        Etape Etape { get; set; }
    }



    ////////////////////////////////////////////////////////////////////////////
    ///
    /// <summary>Interface implemented by a <see cref="Action" /> container.</summary>
    ///
    ////////////////////////////////////////////////////////////////////////////

    public partial interface IActionContainer
    {
        /// <summary>Gets or sets the contained <see cref="Action" />.</summary>
        Action Action { get; set; }
    }



    ////////////////////////////////////////////////////////////////////////////
    ///
    /// <summary>Interface implemented by a <see cref="Document" /> container.</summary>
    ///
    ////////////////////////////////////////////////////////////////////////////

    public partial interface IDocumentContainer
    {
        /// <summary>Gets or sets the contained <see cref="Document" />.</summary>
        Document Document { get; set; }
    }



    ////////////////////////////////////////////////////////////////////////////
    ///
    /// <summary>Interface implemented by a <see cref="Intervention" /> container.</summary>
    ///
    ////////////////////////////////////////////////////////////////////////////

    public partial interface IInterventionContainer
    {
        /// <summary>Gets or sets the contained <see cref="Intervention" />.</summary>
        Intervention Intervention { get; set; }
    }



    ////////////////////////////////////////////////////////////////////////////
    ///
    /// <summary>Interface implemented by a <see cref="Adresse" /> container.</summary>
    ///
    ////////////////////////////////////////////////////////////////////////////

    public partial interface IAdresseContainer
    {
        /// <summary>Gets or sets the contained <see cref="Adresse" />.</summary>
        Adresse Adresse { get; set; }
    }



    ////////////////////////////////////////////////////////////////////////////
    ///
    /// <summary>Interface implemented by a <see cref="Voie" /> container.</summary>
    ///
    ////////////////////////////////////////////////////////////////////////////

    public partial interface IVoieContainer
    {
        /// <summary>Gets or sets the contained <see cref="Voie" />.</summary>
        Voie Voie { get; set; }
    }



    ////////////////////////////////////////////////////////////////////////////
    ///
    /// <summary>Interface implemented by a <see cref="Commune" /> container.</summary>
    ///
    ////////////////////////////////////////////////////////////////////////////

    public partial interface ICommuneContainer
    {
        /// <summary>Gets or sets the contained <see cref="Commune" />.</summary>
        Commune Commune { get; set; }
    }



    ////////////////////////////////////////////////////////////////////////////
    ///
    /// <summary>Interface implemented by a <see cref="Bordereau" /> container.</summary>
    ///
    ////////////////////////////////////////////////////////////////////////////

    public partial interface IBordereauContainer
    {
        /// <summary>Gets or sets the contained <see cref="Bordereau" />.</summary>
        Bordereau Bordereau { get; set; }
    }



    ////////////////////////////////////////////////////////////////////////////
    ///
    /// <summary>Interface implemented by a <see cref="Contact" /> container.</summary>
    ///
    ////////////////////////////////////////////////////////////////////////////

    public partial interface IContactContainer
    {
        /// <summary>Gets or sets the contained <see cref="Contact" />.</summary>
        Contact Contact { get; set; }
    }
}

